Skip to content

GET details of a bot detection rule deployment.

GET
/api/shape/bot/custom/namespaces/{namespace}/bot_detection_rules/deployments/{deployment_id}
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/custom/namespaces/example/bot_detection_rules/deployments/example \
--header 'Authorization: <Authorization>'

Getbotdetectionrulesdeploymentdetails CustomAPI.

Examples of this operation.

namespace
required
string

Namespace x-required Namespace is used to scope the query.

deployment_id
required
string

DeploymentID

x-required Unique identifier for a bot detection rule(s) deployment.

A successful response.

Media typeapplication/json
GetBotDetectionRulesDeploymentDetailsResponse

Response for GET bot detection rules deployment deployment.

object
config_change_per_bot_detection_rule
Config Change Per Bot Detection Rule

Config change per bot detection rule.

Array<object>
BotDetectionRuleConfigChange

Bot Detection Rule Config Change.

object
deploy_to
Deploy To

Environments to which new rule configuration has to be deployed onto.

Array<string>
Allowed values: PRODUCTION TESTING
desired_rule_config
object
mitigation
Mitigation

Mitigation - true(ON) / false(OFF)

boolean format: boolean
desired_rule_config_per_bot_infra
Desired Rule Configuration Per Bot Infra

Rule or policy definition

Array<object>
BotDetectionRuleConfigPerBotInfra

Bot detection rule configuration per bot infrastructure.

object
bot_detection_rule_config
object
mitigation
Mitigation

Mitigation - true(ON) / false(OFF)

boolean format: boolean
bot_infra_id
Bot Infrastructure ID

Bot Infrastructure ID as per SAPI’s database.

string
<= 1024 characters
bot_infra_name
BotInfraName

Name of the bot infrastructure as per SAPI’s database.

string
<= 1024 characters
bot_infrastructure_type
string
default: BOT_INFRA_TYPE_UNKNOWN
Allowed values: BOT_INFRA_TYPE_UNKNOWN BOT_INFRA_TYPE_CLOUD_HOSTED BOT_INFRA_TYPE_HOSTED BOT_INFRA_TYPE_ON_PREM
environment_type
string
default: PRODUCTION
Allowed values: PRODUCTION TESTING
region_rule_config
object
region_config
Rule Config Per Region

Required: YES.

object
existing_rule_config_per_bot_infra
Existing Rule Configuration Per Bot Infra

Rule or policy definition

Array<object>
BotDetectionRuleConfigPerBotInfra

Bot detection rule configuration per bot infrastructure.

object
bot_detection_rule_config
object
mitigation
Mitigation

Mitigation - true(ON) / false(OFF)

boolean format: boolean
bot_infra_id
Bot Infrastructure ID

Bot Infrastructure ID as per SAPI’s database.

string
<= 1024 characters
bot_infra_name
BotInfraName

Name of the bot infrastructure as per SAPI’s database.

string
<= 1024 characters
bot_infrastructure_type
string
default: BOT_INFRA_TYPE_UNKNOWN
Allowed values: BOT_INFRA_TYPE_UNKNOWN BOT_INFRA_TYPE_CLOUD_HOSTED BOT_INFRA_TYPE_HOSTED BOT_INFRA_TYPE_ON_PREM
environment_type
string
default: PRODUCTION
Allowed values: PRODUCTION TESTING
region_rule_config
object
region_config
Rule Config Per Region

Required: YES.

object
last_modified_at
Last Modified At

Last Modified At as per SAPI’s database.

string format: date-time
<= 1024 characters
reason
object
comments
Comments

Comments are required when the reason type is selected as ‘Other’

string
<= 1024 characters
reasons
Reasons

List of reasons why the rule configuration is changed.

Array<string>
Allowed values: BOT_DETECTION_RULE_CHANGE_REASON_UNKNOWN BOT_DETECTION_RULE_CHANGE_REASON_FALSE_POSITIVE BOT_DETECTION_RULE_CHANGE_REASON_TRUE_POSITIVE BOT_DETECTION_RULE_CHANGE_REASON_TESTING BOT_DETECTION_RULE_CHANGE_REASON_OTHER
rule_id
Rule ID

Unique identifier for a bot detection rule as per SAPI’s database.

string
<= 1024 characters
rule_name
Rule Name

Human-readable name for the resource

string
<= 1024 characters
traffic_type
string
default: WEB
Allowed values: WEB MOBILE
deploy_to
Deploy To

Environments to which new rule configuration has to be deployed onto.

Array<string>
Allowed values: PRODUCTION TESTING
deployed_by
Deployed By

Deployed By.

string
<= 1024 characters
deployment_details_per_bot_infra
DeploymentDetailsPerBotInfra

Deployment details per bot infrastructure.

Array<object>
BotInfraDeploymentDetails

Bot Infrastructure Deployment Details.

object
bot_infra_name
BotInfraName

Name of the bot infrastructure as per SAPI’s database.

string
<= 1024 characters
bot_infra_status
object
bot_infra_deployment_status
string
default: BOT_INFRA_DEPLOYMENT_STATUS_UNKNOWN
Allowed values: BOT_INFRA_DEPLOYMENT_STATUS_UNKNOWN BOT_INFRA_DEPLOYMENT_STATUS_INITIATED BOT_INFRA_DEPLOYMENT_STATUS_SUCCESS BOT_INFRA_DEPLOYMENT_STATUS_FAILED BOT_INFRA_DEPLOYMENT_STATUS_INITIATION_FAILED
status_message
StatusMessage

Status message. In case of error, this would contain error details.

string
<= 1024 characters
bot_infrastructure_type
string
default: BOT_INFRA_TYPE_UNKNOWN
Allowed values: BOT_INFRA_TYPE_UNKNOWN BOT_INFRA_TYPE_CLOUD_HOSTED BOT_INFRA_TYPE_HOSTED BOT_INFRA_TYPE_ON_PREM
environment
string
default: PRODUCTION
Allowed values: PRODUCTION TESTING
region_status
object
region_status_details
Bot Infra Deployment Status Details Per Region

Bot Infra Deployment Status Details Per Region.

object
deployment_status
string
default: BOT_DETECTION_RULES_DEPLOYMENT_STATUS_UNKNOWN
Allowed values: BOT_DETECTION_RULES_DEPLOYMENT_STATUS_UNKNOWN BOT_DETECTION_RULES_DEPLOYMENT_STATUS_DRAFT BOT_DETECTION_RULES_DEPLOYMENT_STATUS_INITIATED BOT_DETECTION_RULES_DEPLOYMENT_STATUS_DEPLOYED BOT_DETECTION_RULES_DEPLOYMENT_STATUS_FAILED BOT_DETECTION_RULES_DEPLOYMENT_STATUS_PARTIALLY_DEPLOYED BOT_DETECTION_RULES_DEPLOYMENT_STATUS_DISCARDED_DRAFT BOT_DETECTION_RULES_DEPLOYMENT_STATUS_INITIATION_FAILED BOT_DETECTION_RULES_DEPLOYMENT_STATUS_PARTIALLY_INITIATED
deployment_time
DeploymentTime

Timestamp at which the deployment was initiated.

string format: date-time
<= 1024 characters
Example
{
"config_change_per_bot_detection_rule": [
{
"deploy_to": [
"PRODUCTION"
],
"desired_rule_config_per_bot_infra": [
{
"bot_infrastructure_type": "BOT_INFRA_TYPE_UNKNOWN",
"environment_type": "PRODUCTION"
}
],
"existing_rule_config_per_bot_infra": [
{
"bot_infrastructure_type": "BOT_INFRA_TYPE_UNKNOWN",
"environment_type": "PRODUCTION"
}
],
"reason": {
"reasons": [
"BOT_DETECTION_RULE_CHANGE_REASON_UNKNOWN"
]
},
"traffic_type": "WEB"
}
],
"deploy_to": [
"PRODUCTION"
],
"deployment_details_per_bot_infra": [
{
"bot_infra_status": {
"bot_infra_deployment_status": "BOT_INFRA_DEPLOYMENT_STATUS_UNKNOWN"
},
"bot_infrastructure_type": "BOT_INFRA_TYPE_UNKNOWN",
"environment": "PRODUCTION"
}
],
"deployment_status": "BOT_DETECTION_RULES_DEPLOYMENT_STATUS_UNKNOWN"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example